--- farstream/fs-session.c~	2012-03-06 21:47:43.000000000 +0000
+++ farstream/fs-session.c	2014-03-13 14:26:56.642544637 +0000
@@ -270,9 +270,6 @@
   /**
    * FsSession:codec-preferences:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the current preferences list for the local codecs. It is
    * set by the user to specify the codec options and priorities. The user may
    * change its value with fs_session_set_codec_preferences() at any time
@@ -283,6 +280,9 @@
    * or %FS_CODEC_ID_ANY. If the encoding name is "reserve-pt", then the
    * payload type of the codec will be "reserved" and not be used by any
    * dynamically assigned payload type.
+   *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
    */
   g_object_class_install_property (gobject_class,
       PROP_CODEC_PREFERENCES,
@@ -296,9 +296,6 @@
   /**
    * FsSession:codecs:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the list of codecs used for this session. It will include the
    * codecs and payload type used to receive media on this session. It will
    * also include any configuration parameter that must be transmitted reliably
@@ -317,6 +314,9 @@
    * It is a #GList of #FsCodec. User must free this codec list using
    * fs_codec_list_destroy() when done.
    *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
+   *
    */
   g_object_class_install_property (gobject_class,
       PROP_CODECS,
@@ -329,9 +329,6 @@
   /**
    * FsSession:codecs-without-config:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the same list of codecs as #FsSession:codecs without
    * the configuration information that describes the data sent. It is suitable
    * for configurations where a list of codecs is shared by many senders.
@@ -349,6 +346,9 @@
    * It is a #GList of #FsCodec. User must free this codec list using
    * fs_codec_list_destroy() when done.
    *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
+   *
    */
   g_object_class_install_property (gobject_class,
       PROP_CODECS_WITHOUT_CONFIG,
--- farstream/fs-stream.c~	2012-01-10 20:34:46.000000000 +0000
+++ farstream/fs-stream.c	2014-03-13 14:28:58.483308513 +0000
@@ -176,13 +176,13 @@
   /**
    * FsStream:remote-codecs:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the list of remote codecs for this stream. They must be set by the
    * user as soon as they are known using fs_stream_set_remote_codecs()
    * (generally through external signaling). It is a #GList of #FsCodec.
    *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
+   *
    */
   g_object_class_install_property (gobject_class,
       PROP_REMOTE_CODECS,
@@ -195,15 +195,15 @@
   /**
    * FsStream:negotiated-codecs:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the list of negotiatied codecs, it is the same list as the list
    * of #FsCodec from the parent #FsSession, except that the codec config data
    * has been replaced with the data from the remote codecs for this stream.
    * This is the list of #FsCodec used to receive data from this stream.
    * It is a #GList of #FsCodec.
    *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
+   *
    */
   g_object_class_install_property (gobject_class,
       PROP_NEGOTIATED_CODECS,
@@ -216,9 +216,6 @@
   /**
    * FsStream:current-recv-codecs:
    *
-   * Type: GLib.List(FsCodec)
-   * Transfer: full
-   *
    * This is the list of codecs that have been received by this stream.
    * The user must free the list if fs_codec_list_destroy().
    * The "farstream-recv-codecs-changed" message is send on the #GstBus
@@ -228,6 +225,9 @@
    * also be emitted if the pad already exists, but the source material that
    * will come to it is different.
    *
+   * Type: GLib.List(FsCodec)
+   * Transfer: full
+   *
    */
   g_object_class_install_property (gobject_class,
       PROP_CURRENT_RECV_CODECS,
